#ifndef	_RC_SWITCH_H
#define	_RC_SWITCH_H


#ifdef HAVE_WIRINGPI_H
#ifdef USE_RC433


/* rc-switch.c */
int  toggleSwitch(char *);
int  toggleTypeA(char *, char *, int);
int  toggleTypeB(int, int, int);
int  toggleTypeC(char, int, int, int);
int  toggleTypeE(char, int, int);

void enableReceiveIRQ(int interrupt);
void enableReceive(void);
void disableReceive(void);
int available(void);
void resetAvailable(void);

unsigned long getReceivedValue(void);
unsigned int getReceivedBitlength(void);
unsigned int getReceivedDelay(void);
unsigned int getReceivedProtocol(void);
unsigned int *getReceivedRawdata(void);

void enableTransmit(int);
void disableTransmit(void);

char *dec2binWzerofill(unsigned long, unsigned int);

#endif
#endif


#endif
