#ifndef _SLCD_H
#define	_SLCD_H
#ifdef	HAVE_SDL2_SDL_H

#define	MAX_SLCDS	8

void slcdHome        (SGOBJ *dlg, int fd) ;
void slcdClear       (SGOBJ *dlg, int fd) ;
void slcdDisplay     (SGOBJ *dlg, int fd, int state) ;
void slcdCursor      (SGOBJ *dlg, int fd, int state) ;
void slcdCursorBlink (SGOBJ *dlg, int fd, int state) ;
void slcdSendCommand (SGOBJ *dlg, int fd, unsigned char command) ;
void slcdPosition    (SGOBJ *dlg, int fd, int x, int y) ;
void slcdCharDef     (SGOBJ *dlg, int fd, int index, unsigned char data [8]) ;
void slcdPutchar     (SGOBJ *dlg, int fd, unsigned char data) ;
void slcdPuts        (SGOBJ *dlg, int fd, const char *string) ;
void slcdPrintf      (SGOBJ *dlg, int fd, const char *message, ...) ;
void slcdBacklight   (SGOBJ *dlg, int fd, int bl);
void slcdLED         (SGOBJ *dlg, int fd, int color, int state);

int  slcdInit        (SGOBJ *dlg, int fd, int x, int y, int w, int h, int cols, int rows) ;


#endif
#endif
