#ifndef	_PANEL_H
#define	_PANEL_H



/*
 * GPIO pins for the frontpanel LED and push buttons.
 */
#define	PANEL_LED	2
#define	PANEL_ENTER	4
#define	PANEL_DOWN	5
#define	PANEL_UP	6


/*
 * Key names
 */
#define	KEY_NONE	0
#define	KEY_UP		1
#define	KEY_DOWN	2
#define	KEY_ESCAPE	3
#define	KEY_ENTER	4
#define	KEY_CONFIRM	5	/* Long Enter */
#define	KEY_ALL		99


int keycheck(void);

#ifdef HAVE_WIRINGPI_H
PI_THREAD (my_panel_loop);
#else
void *my_panel_loop(void *);
#endif

#endif
