#ifndef SIMULATOR_H
#define	SIMULATOR_H

#ifdef USE_SIMULATOR

/**
 * @brief Return a json string with one simulator record
 * @param simulator The simulator record
 * @return Json string
 */
char *simulator_json(simulator_list *simulator);


/**
 * @brief Send all simulator records to the websocket
 */
void simulator_ws(void);


/**
 * @brief The simulator thread.
 */
void *my_simulator_loop(void *);

#endif

#endif
