<?php
require_once($_SERVER['DOCUMENT_ROOT'].'/includes/global.inc.php');
page_header('Monitor Fermentation', 'fermenter');
?>

   <div id="fermenter">

    <div style="float: left; width: 970px;">
     <div id="fermenter_table">
      <div id="fermenter_info">
       <table style='width: 100%; padding: 10px;'>
	<col width="20%">
	<col width="40%">
        <col width="40%">
	<tr><th colspan=3>Fermenter overview</th></tr>
        <tr style="height: 25px;">
         <td>Room TH</td>
         <td colspan="2"><div id="room_thb"></div></td>
        </tr>
	<tr style="height: 25px;">
         <td>Fermenter unit</td>
	 <td colspan="2"><div id="info_system"></div></td>
        </tr>
	<tr style="height: 25px;">
         <td>Code and beer</td>
         <td colspan="2"><div id="info_beer"></div></td>
        </tr>
	<tr style="height: 25px;">
         <td>Working mode</td>
         <td><div id="info_mode"></div></td>
         <td><input type="button" id="Profile1" value="Profile 1" /><input style="margin-left: 10px;" type="button" id="Profile2" value="Profile 2" /></td>
        </tr>
	<tr style="height: 25px;">
         <td>Fermentation fase</td>
         <td colspan="2"><div id="info_stage"></div></td>
        </tr>
	<tr style="height: 25px;">
         <td>Fermentation profile</td>
         <td><div id="info_profile"></div></td>
         <td><div id="status_profile"></div></td>
        </tr>
       </table>
      </div>
     </div>
     <div id='fermenter_thermometers'>
      <div id="gaugeContainer_air" style='float: left; margin-top: 10px; margin-left: 10px;'></div>
      <div id="gaugeContainer_beer" style="float: right; margin-top: 10px; margin-right: 10px;"></div>
      <div id="gaugeContainer_chiller" style="float: left; margin-top: 15px;"></div>
     </div>
    </div> <!-- End left side -->

    <div style="float: right; width: 295px;">
     <div id="fermenter_panel_top">
      <div id="fermenter_doorled"></div>
      <div id="fermenter_lightled"></div>
      <div id="fermenter_alarmled"></div>
      <div id="fermenter_powerled"></div>
     </div> <!-- fermenter_panel_top -->

     <div id="fermenter_panel_display">
      <div id="fermenter_display" class="f_display">
       <div id="target_lo" style="margin-left: 40px; margin-top: 15px;"></div>
       <div style="margin-top: 5px;">&deg;C low</div>
      </div>
      <div id="fermenter_display" class="f_display">
       <div id="target_hi" style="margin-left: 40px; margin-top: 15px;"></div>
       <div style="margin-top: 5px;">&deg;C high</div>
      </div>
     </div> <!-- fermenter_panel_display -->

     <div id="fermenter_panel_control">
      <div>
       <div id="fermenter_led1"></div>
       <div id="fermenter_led2"></div>
       <div id="fermenter_led3"></div>
      </div>
      <div id="fermenter_switches">
       <div id="fermenter_toggle1"></div>
       <div id="fermenter_toggle2"></div>
       <div id="fermenter_toggle3"></div>
      </div>
     </div> <!-- fermenter_panel_control -->

     <div id="fermenter_panel_buttons">
     </div> <!-- fermenter_panel_buttons -->
    </div> <!-- End right side -->
   </div>

   <div id="eventWindow">
    <div>
     Confirm abort profile
    </div>
    <div>
     <div>
      Press "OK" to abort this profile. When started it will start from the beginning.<br>
      Press "Cancel" to close without aborting the profile.
     </div>
     <div>
      <div style="float: right; margin-top: 40px; margin-bottom: 10px;">
       <input type="button" id="delOk" value="OK" style="margin-right: 90px" />
       <input type="button" id="delCancel" value="Cancel" style="margin-right: 80px" />
      </div>
     </div>
    </div>
   </div>

<?php
page_footer();
?>
